<template>
  <div class="content ml-5">
      <h2 class="ml-4">Produtos do pedido</h2>
    <table class="table table-striped">
      <thead>
        <tr>
          <th>Cód. Produto</th>
          <th>Nome</th>
          <th>Marca</th>
          <th>Quantidade</th>
          <th>Valor unidade</th>
          <th>Valor total</th>
          <th>Imagem</th>
        </tr>
      </thead>
      <tbody>
        <div hidden>
          {{ valor_total = 0 }}
          {{ status = '' }}
        </div>
        <tr v-for="carrinho in carrinho" v-bind:key="carrinho.id" class="col-12">
          <td>{{carrinho.produto_id}}</td>
          <td>{{ produtos[carrinho.produto_id - 1].nome }}</td>
          <td>{{ marcas[produtos[carrinho.produto_id - 1].marca_id - 1].nome }}</td>
          <td>{{ carrinho.quant_compra }}</td>
          <td> R$ {{ produtos[carrinho.produto_id - 1].valor_venda| estiloMoeda }} </td>
           <td>R${{produtos[carrinho.produto_id - 1].valor_venda * carrinho.quant_compra | estiloMoeda}} </td>
          <td>
            <img v-if="produtos[carrinho.produto_id - 1].imagem" :src="produtos[carrinho.produto_id - 1].imagem">
            <img v-else src="/img/default.jpg">
          </td>
          <div hidden>
            {{ valor_total += produtos[carrinho.produto_id - 1].valor_venda * carrinho.quant_compra}}
          </div>
          <div hidden v-for="valor in pedido" :key="valor.id">
            <div v-if="valor.id == carrinho.pedido_id"> {{ status = valor.status }}</div>
          </div>
        </tr>
      </tbody>
    </table>
    <div class="d-flex justify-content-end" style="margin-right: 80px;border-top: 1px solid #CCC; font-weight: bold;"> PEDIDO: R$ {{ valor_total | estiloMoeda }} </div>
    <div v-if="status != 'entregue'"  class="d-flex justify-content-end" style="margin-right: 20px;">
      <button class="btn btn-dark col-2 mt-3" @click="entregarPedido(valor_total)">Entregar Pedido</button>
    </div>
  </div>
</template>
<script>
import axios from "axios";
export default {
  data() {
    return {
      produtos: [],
      marcas: [],
      carrinho: [],
      pedido: []
    };
  },
  methods: {
    listar() {
      if (localStorage.getItem("token")) {
        axios
          .get(this.$urlAPI + "/produtos")
          .then((response) => (this.produtos = response.data));
        axios
          .get(this.$urlAPI + "/listamarcas")
          .then((response) => (this.marcas = response.data));
        axios.get(this.$urlAPI + "/carrinho/" + this.$route.params.id).then((res) => this.carrinho = res.data)
        axios
          .get(this.$urlAPI + "/pedido")
          .then((response) => (this.pedido = response.data));
      }
    },
    entregarPedido(valor_total) {
         let pedido = {
          id: this.$route.params.id,
          status: "entregue",
          valor_pedido: valor_total
        }
        axios.put(this.$urlAPI + "/pedido", pedido).then(
          alert("Pedido entregue e finalizado!")
        )
        this.goBack()
    },
     goBack() {
      window.history.length > 1 ? this.$router.go(-1) : this.$router.push("/");
    },
  },
  mounted() {
    this.listar();
  },
  filters: {
    estiloMoeda(value) {
      return value.toLocaleString("pt-br", { minimumFractionDigits: 2 });
    },
  },
};
</script>
<style scoped>
table img {
  width: 50px;
  height: 50px;
}
</style>

